# -*- coding: UTF-8 -*-

import os
import sys

from .model import *
from .plot import *
from .sc_atac import *
from .util import *
from .variant import *

os.environ['OPENBLAS_NUM_THREADS'] = '1'
sys.setrecursionlimit(1000)

__version__ = f"{project_name}: v{project_version}"
__cache__ = project_cache_path

__all__ = [
    "tf_idf",
    "adjustment_tf_idf",
    "euclidean_distances",
    "poisson_vi",
    "marginal_normalize",
    "z_score_normalize",
    "z_score_marginal",
    "to_meta",
    "is_asc_sort",
    "sc_adata_merge",
    "lsi",
    "heatmap_annotation",
    "kl_method_bar",
    "pca",
    "communities_graph",
    "spectral_clustering",
    "sample_data",
    "list_index",
    "calculate_init_score",
    "silhouette",
    "symmetric_scale",
    "mutual_knn",
    "laplacian_eigenmaps",
    "RandomWalk",
    "adata_map_df",
    "adata_group",
    "filter_data",
    "handle_sc_atac",
    "handle_feature",
    "handle_overlap",
    "handle_common",
    "chrtype",
    "overlap",
    "davies_bouldin",
    "overlap_sum",
    "cell_trait_related_score",
    "two_bar",
    "group_heatmap",
    "deviation_z_score",
    "ami",
    "ari",
    "map_df_plot",
    "SNI",
    "rate_bar_plot",
    "graph",
    "heatmap",
    "read_adata",
    "scatter_base",
    "scatter_atac",
    "scatter_feature",
    "scatter_trait",
    "violin_trait",
    "read_sc_atac",
    "read_cicero_gene",
    "read_tf",
    "path",
    "sparse_array",
    "sparse_matrix",
    "sparse_data",
    "dense_data",
    "matrix_data",
    "number",
    "to_dense",
    "to_sparse",
    "sum_min_max",
    "classification_colors",
    "collection",
    "umap_data",
    "get_index",
    "read_sc_atac_10x_h5",
    "mutual_knn_network",
    "kde",
    "to_fragments",
    "loss_line",
    "perform_cluster_type",
    "check_adata_get",
    "set_colors",
    "read_variants",
    "barcode_base",
    "barcode_trait",
    "cluster_method_bar",
    "k_means",
    "data_plot",
    "bar",
    "calinski_harabasz",
    "tsne_data"
]
